﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;


namespace MDIform
{
    public partial class childForm : Form
    {
        public childForm()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            WinformsMap winformsMap1 = (WinformsMap)this.Parent;
            LayerOverlay layerOverlay = (LayerOverlay)winformsMap1.Overlays["PointOverlay"];
            InMemoryFeatureLayer inMemoryFeatureLayer = (InMemoryFeatureLayer)layerOverlay.Layers[0];

            inMemoryFeatureLayer.Open();
            inMemoryFeatureLayer.Columns.Add(new FeatureSourceColumn("Tooltip_NAME", "string", 50));
                inMemoryFeatureLayer.EditTools.BeginTransaction();
           
            PointShape pointShape = new PointShape(Convert.ToDouble(txtX.Text),Convert.ToDouble(txtY.Text));
            Feature feature = new Feature(pointShape);
            feature.ColumnValues.Add("Tooltip_NAME", "Tooltip in MDI");
            inMemoryFeatureLayer.EditTools.Add(feature);
            inMemoryFeatureLayer.EditTools.CommitTransaction();
            inMemoryFeatureLayer.Close();


            winformsMap1.Refresh(layerOverlay);
        }
    }
}
